ARC Graphical Clients: SRMFileServer Class Reference

# SRMFileServer Class Reference

ARC File server class. More...

`#include <srmfileserver.h>`

Inheritance diagram for SRMFileServer:

List of all members.

## Public Slots
void | onCompleted (FileTransfer *fileTransfer, bool success, QString error)
| This slot is used by FileTransfer object to "call" home when a transfer has completed.
## Signals
void | onFileListFinished (bool error, QString errorMsg)
| Called when the updateFileList() has completed on the background thread.
void | onError (QString errorStr)
| Called when an error occurs.
void | onCopyFromServerFinished (bool error)
| Called when a file transfer has completed.
void | onDeleteFinished (bool error)
| Called when a delete operation has completed. (NOT IMPLEMENTED YET).
void | onMakeDirFinished (bool error)
| Called when a makedir operation has completed. (NOT IMPLEMENTED YET).
void | onCopyToServerFinished (bool error, QList< QString > &failedFiles)
| Called when a copy to server operation has completed.
## Public Member Functions
| SRMFileServer ()
| Create a SRMFileServer object.
QStringList | getFileInfoLabels ()
| Returns the column names in the file list (name, size, last change date...). Allows different protocols to display their own info.
void | updateFileList (QString URL)
| Reads a new list of files from the server to the filelist.
QVector< ARCFileElement * > & | getFileList ()
| Return a reference to the filelist.
bool | goUpOneFolder ()
| Go up one folder in the folder structure (cd ..).
QString | getCurrentURL ()
| Get current URL (== file protocol + path).
QString | getCurrentPath ()
| Get current path.
bool | copyFromServer (QString sourcePath, QString destinationPath)
| Copy a file from the server to a local disk.
bool | copyToServer (QString sourcePath, QString destinationPath)
| Copy a file from local disk to server.
bool | copyToServer (QList< QUrl > &urlList, QString destinationPath)
| Copy a list of files from local disk to server.
bool | deleteItem (QString URL)
| Delete a file from the server.
bool | deleteItems (QStringList &URLs)
| Delete several files from the server.
bool | makeDir (QString path)
| Create a folder on the server.
unsigned int | getFilePermissions (QString path)
| Get file permissions.
void | setFilePermissions (QString path, unsigned int permissions)
| Set file permissions.
QMap< QString, QString > | fileProperties (QString URL)
| Return a property value list of file properties.
bool | rename (QString fromURL, QString toURL)
| Rename a file.
void | startUpdateFileList (QString URL)
| Starts a background file file list update.

## Detailed Description

ARC File server class.

## Member Function Documentation

void SRMFileServer::startUpdateFileList | ( | QString | URL | ) |

Starts a background file file list update.

This calls the updateFileList() method on a background thread. When completed The onFileListFinished() method is called.

Parameters:

  | URL | to pass to the updateFileList() method.

The documentation for this class was generated from the following files:

- /home/jonas/Development/arc-gui-clients/src/arcstorage-ui/srmfileserver.h
- /home/jonas/Development/arc-gui-clients/src/arcstorage-ui/srmfileserver.cpp

All Classes Functions Variables